# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# 

ESVN_REPO_URI="http://svn.initng.thinktux.net/initng"
ESVN_PROJECT="initng"
inherit subversion

DESCRIPTION="A next generation init replacement"
HOMEPAGE="http://initng.thinktux.net/"
SRC_URI=""

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="-*"
PLUGINS="dev doc also bash_launcher chdir chroot conflict cpout cron critical
	daemon dllaunch envparser find fstat history initctl interactive iparser
	last limit logfile netprobe idleprobe ngc2 ngcs pause pidfile reload
	renice rlparser simple_launcher splash usplash stcmd stdout suid syncron
	syslog unneeded jbx"
IUSE="debug ${PLUGINS}"

S=${WORKDIR}/${PN}

pkg_preinst() {
	ewarn "All plugins are disabled by default, check USE flags"
}

src_unpack() {
	subversion_src_unpack
	./autogen.sh || die "autogen failed"
}

src_compile() {
	ECONF_OPTS="--prefix=/"
	for plugin in ${PLUGINS}
	do
		ECONF_OPTS="${ECONF_OPTS} $(use_with ${plugin})"
	done
	econf ${ECONF_OPTS}
	emake || die
}

src_install() {
	make install DESTDIR="${D}" || die
	# Dont need libtool linker scripts, so punt em
	find "${D}" -name '*.la' -exec rm {} \;
	# other packages install these
	rm "${D}"/sbin/{{ifplugd,wpa_cli}.action} || die
	dodoc README FAQ AUTHORS ChangeLog NEWS TEMPLATE_HEADER TODO
}

pkg_postinst() {
	einfo "remember to add init=/sbin/initng in your grub or lilo config"
	einfo "to use initng Happy testing."
}
